<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 1.9//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="wit4java" timelimit="90 s" hardtimelimit="96 s" memlimit="7 GB" cpuCores="2">

<require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz"/>
 
  <resultfiles>**/*.graphml</resultfiles>

<rundefinition name="SV-COMP23_assert_java">
  <requiredfiles>../results-verified/LOGDIR/${rundefinition_name}/${taskdef_name}/witness.graphml</requiredfiles>
  <option name="--witness">../../results-verified/LOGDIR/${rundefinition_name}/${taskdef_name}/witness.graphml</option>
  <option name="--local-dir"></option>

  <tasks name="ReachSafety-Java">
    <includesfile>../sv-benchmarks/java/ReachSafety-Java.set</includesfile>
    <propertyfile >../sv-benchmarks/java/properties/assert_java.prp</propertyfile>
  </tasks>
</rundefinition>

</benchmark>

